Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class PackageHtmlCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.javadoc.PackageHtmlCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class PackageHtmlCheck

extends AbstractFileSetCheck

Checks that all packages have a package documentation.

Author:
  lkuehne

Constructor Summary
`PackageHtmlCheck()` Creates a new `PackageHtmlCheck` instance.

Method Summary
`protected Set` | `getParentDirs(File[] aFiles)` Returns the set of directories for a set of files.
`void` | `process(File[] aFiles)` Checks that each java file in the fileset has a package.html sibling and fires errors for the missing files.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`destroy, filter, fireErrors, getCharset, getMessageCollector, getMessageDispatcher, log, log, setCharset, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### PackageHtmlCheck

    public PackageHtmlCheck()

  Creates a new `PackageHtmlCheck` instance.

Method Detail

### process

    public void process(File[] aFiles)

  Checks that each java file in the fileset has a package.html sibling and fires errors for the missing files.

  Parameters:
    `aFiles` - a set of files
  See Also:
    `FileSetCheck.destroy()`

### getParentDirs

    protected final Set getParentDirs(File[] aFiles)

  Returns the set of directories for a set of files.

  Parameters:
    `aFiles` - s set of files
  Returns:
    the set of parent directories of the given files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD